Introduction

Figure 1 shows the main form of Energain® Thermal Mass Builder.

Before you start using the Energain® Thermal Mass Builder

You must first build your TBD file and it must include a calendar, weather data, constructions, internal conditions and where necessary, aperture types.

To open Energain® Thermal Mass Builder

Run the Energain® Thermal Mass Builder from the Utilities folder in Tas Manager.

To open a TBD file from Energain® Thermal Mass Builder

On the toolbar, click the Open File icon [image]. Open your existing TBD file and create a copy for the PCM source TBD. (This will allow you to compare your TBD against one with PCMs, such is the requirement for regulatory analysis.)

Once you have opened your TBD file, its building elements will be displayed on the right of the screen, as shown in Fig. 1:

Figure 1


Adding phase change materials

Phase change material set up

To add phase change materials to building elements

Multi-select from the right-hand side list view (see Introduction, Fig. 1) the building elements to which you want to add phase change materials - do this by using the Ctrl and Shift keys on your keyboard. Click the Add Selection button, [image] when you have highlighted the building elements, or drag and drop the building elements individually from the tree-view on the left-hand side onto the phase change material elements folder: "PCM Elements".

Once a PCM element has been added to the folder, you can select it from the tree-view on the left of your screen. After a PCM element has been selected, the configuration options, as shown in Fig. 2, appear on the right of your screen.

Figure 2

With reference to Fig. 3:

Figure 3

Select the position you wish to insert the PCM and the number of layers (one or two) to be added.

To select the PCM layer position(s)

Check the inner layer preceding the phase change material layer. Up to two positions can be specified to enable an internal wall to have a PCM layer adjacent to each exposed surface. Specify the number of PCM layers to add at each position (one or two). You must confirm your selection to finish the set up for each PCM Element.

To remove a PCM Element from the "PCM Elements" folder

Select the PCM Element to be removed and select "Remove PCM Element" on the Tools menu, or click the [image] icon on the toolbar, alternatively press the Delete key.


Updating your TBD file

To build the phase change materials into your TBD file

Once the set up is complete for all PCM elements in the PCM Elements folder, you can now build the phase change elements into your TBD file by clicking "Finish and update tbd file" on the Tools menu, or click on the [image] icon on the toolbar.

Figure 4


TBD file changes after building PCMs

After using Energain® Thermal Mass Builder to add Energain® phase change materials to your model, a number of building elements, constructions, internal conditions, and zones are created. These are illustrated in Fig. 5:

Figure 5

Building Elements

You will find two or three new building elements in your TBD file for each PCM element added. These account for the inner and outer layers, (and central layers if two positions were chosen) of the building element and construction in your TBD. In addition, one further new building element, PCM_BE is also added.

Constructions

Energain® Thermal Mass Builder adds a standard insulation construction, PCM, and applies this to the PCM_BE building element. The construction applied to the TBD building element will have been sub-divided into two or three individual constructions, which will be applied to the two or three new building elements (Inner, Outer, and Central building element if two positions were chosen).

Internal Conditions

An internal condition will be created for each PCM element. The internal condition is applied to the PCM zones that correspond to the PCM element. This identifies the PCM zones in the ‘Zones’ folder view with their associated PCM element.

Zones

A Tas zone for each PCM element surface is added to the model. This is necessary to model the thermal mass storage/rejection and heat flow for each individual surface accurately. All of the PCM zones have been added to a new zone group, ‘PCM_Zone Group’, and by default are not output. Each zone will have a convection coefficient set to ‘PCM’. The PCM zone convection coefficient should not be altered.


File management

The Tas Dynamic Element set up file created, “myBuilding.tde”, can only be used with a TBD file of the same name, “myBuilding.tbd”, in the same file directory.

You can open and view/make alterations to your phase change element set up and save your changes to be completed at a later time. However, once the PCMs are built into the TBD you cannot open the TBD in the utility again.

If you wish to re-run the utility on the TBD file once the phase change material elements have been built into the TBD file and you would like to see the previous set up information:

  • Open the original source TBD, “myBuilding.tbd”, choose to make a copy and replace the existing “myBuilding_withPCMs.tbd”.

  • OR delete/move/re-name the TBD file, “myBuilding_withPCMs.tbd” which includes the PCMs. Open the TBD without PCMs added, “myBuilding.tbd”, in the utility. Choose to create a copy for the PCM Source and give the file the same name as before e.g. “myBuilding_withPCMs.tbd”.

By doing this, the utility will load up the previous set up used in order to make alterations before being re-built.

Alternatively, to re-use your “myBuilding_withPCMs.tbd” TBD file which includes PCM zones. Follow these steps:

  • Re-export and merge your T3D file into the TBD file “myBuilding_withPCMs.tbd”.

  • Open the TBD, “myBuilding_withPCMs.tbd”, in the utility and choose not to create a copy. You must then choose to “Remove PCM elements from TBD” when prompted.

Once this has been done your TBD file will include the previous split constructions created by the utility (Inner, Outer, and Central), however, the constructions will have “_DELETE” appended to the construction name. These constructions should be manually deleted.


Position of the phase change material

Phase change materials can be applied to walls acting as a partition and interior walls, ceilings or exterior walls. The position of the phase change material within the construction of the building element can be located behind the lightweight interior finish of the construction, for example, a plasterboard layer.

Positions within exposed surfaces

Only one PCM position is allowed in an external surface. A warning will be reported to highlight any cases where an exposed surface is found with a PCM with two positions applied. For each instance where a PCM with two positions is found in an external surface the PCM will not be added to the model.

Positions within null link surfaces

When positioning a PCM layer within a construction applied to a null link surface (adiabatic link) the construction must be the same each side of the PCM position i.e. the construction should be symmetrical about the PCM layer position. You may also only specify one position for a null link surface. A warning will be reported to highlight any cases where a PCM has been added to a null link surface asking to check the construction is the same both sides of the PCM position. A warning will also be reported to highlight any cases where a PCM with two positions is found in a null link surface. For each instance where a PCM with two positions is found in a null link surface the PCM will not be added to the model.

Positions within ground surfaces

PCM elements are not applied to ground surfaces. A warning will be reported to highlight any cases where a ground surface is found with a PCM applied. For each instance where a PCM is found in a ground surface the PCM element will not be added to the model.


2010 Building Regulations

Source Building

To comply with the part L/EPC procedure, Energain® Thermal Mass Builder must only be used on the source TBD file before running the UK Building Regulations 2010 Studio. It must not be run on any of the three buildings generated by the UK Building Regulations 2010 Studio.

Using the UK Building Regulations 2010 Studio after creating PCM elements

Please follow the steps 1 to 4, below when using the UK Building Regulations 2010 Studio.

STEP 1: Run Energain® Thermal Mass Builder

Run Energain® Thermal Mass Builder on the source TBD file once it has been completed for regulatory use. When asked to create a copy for the PCM source TBD file, click "Yes". Enter a name to indicate that the copy contains PCMs, e.g. “myBuilding_withPCMs.tbd”.

Figure 6

Complete the set up for your PCM elements and update the TBD.

STEP 2: Run UK Building Regulations 2010 Studio

Open the UK Building Regulations 2010 Studio and save your new project file.

STEP 3: Open your source building data file

On the right-hand side of the screen click the ellipsis button to navigate to an existing TBD. On the Microsoft Open dialog box select your source building data file, “myBuilding.tbd”, and then click Open. (Alternatively, you can double-click your source TBD file.)

STEP 4: Setting Substitute PCM Source Building

On the right-hand side of the screen a file path box lists your building data file and its associated path. Beneath the “Source TBD file” column header confirm the drive, directory and file name are all correct. On the “PCM Source TBD File” column header or the Source TBD file right-click and on the context-menu click “Add PCM Source TBD File”. Navigate to the PCM Source file created by the Energain® Thermal Mass Builder, e.g. “myBuilding_withPCMs.tbd”, and then click Open. The Microsoft Open dialog box title will display the name of the Source TBD file your PCM Source TBD file will be applied to.

The studio will then use your source TBD before any phase change material elements were added to create the notional building. If you have any external zones in your model the T3D model will need to be re-exported and merged with the source TBD omitting external zones. The source TBD file can then be selected as your notional building source TBD. Alternatively, choose the ‘Re-export and Merge’ option. Your Source TBD will then automatically be re-exported and merged without external zones for the notional source TBD by the studio.


Getting Started

This is the first topic in your project. Delete this text and replace it with your own. To add a new topic, click the New Topic button on the toolbar.

To learn more about the WYSIWYG Editor, press F1 (with your cursor in this pane) to display Help.